Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008450opensim[REGION] OpenSim Corepublic2019-01-12 18:512020-11-20 21:53
Reportermewtwo0641 
Assigned Tomewtwo0641 
PrioritynormalSeveritymajorReproducibilityrandom
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Versionmaster (dev code) 
Summary0008450: Viewer crash if TP takes longer than a couple seconds to complete
DescriptionIf a teleport to a different region takes longer than a second or two to complete the viewer crashes shortly after arriving or sometimes in the middle of teleport.

This doesn't seem to happen when connected to OS via LAN but I suspect that is just because most of the time teleports between regions while on LAN is virtually instantaneous. I see this happen mostly on OSGrid where there is a good chance it will take more than a second or two to complete taking into account different regions' various ISP speeds and quality.

I am not sure exactly what is triggering this; I've just noticed that some teleports can take 5 or 10 seconds or sometimes longer before completing and those are the ones that result in a crash after teleport finishes while the more or less instantaneous teleports seem to be fine.

Tested with Firestorm and Singularity on several different computers to similar effect.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineubODE
Script Engine
EnvironmentUnknown
Mono VersionNone
ViewerAll
Attached Files

- Relationships

-  Notes
(0033792)
tampa (reporter)
2019-01-14 03:02

Probably related to that other ticket about teleports being unstable, though OSGrid really is not a good environment for actually determining if there is a bug or not, too many variables.
(0033793)
aiaustin (developer)
2019-01-14 03:58
edited on: 2019-01-14 06:31

There was a big change that may be in this area of the code in EntityTransferModule.cs at [2019-01-03 12:36:36] to alter the way the original source region agent was closed. Altering the thread sleep time from 15,000ms to 2,000ms - though there are indications in the comments that if it needs reopening it will do that. I assume the change may have been so rapid teleports between regions don't leave you in limbo or losing the terrain as used to happen.

http://opensimulator.org/viewgit/?a=commitdiff&p=opensim&h=c032724921958e8cf53be3d7b5b5fc97530068a0 [^]

I would say I see connection times between regions when Hypergriding about that are much longer than 2 seconds, but perhaps not as long as 15 seconds if its going to be successfully.

(0033795)
mewtwo0641 (reporter)
2019-01-14 05:57
edited on: 2019-01-14 06:07

@tampa - Generally I agree with that. Problem is since this seems to be a timing issue it doesn't really show up on LAN grids since teleports are near instant so it is hard to test for this issue on a small personal grid. I saw it happen a lot on OS grid recently due to the fact that some regions are running on slower hardware/internet connection than others. I never used to have this much trouble getting around on OS grid as I have recently; at least not trouble that resulted in an outright viewer crash ;)

@aiaustin - I was thinking about that commit too. There used to be a big nasty warning in the code saying to never decrease it under any circumstance due to the instability it can cause. Why was this changed?

(0033801)
paela argus (reporter)
2019-01-14 06:46

I see this bug in the new version of Osgrid too not in my grid.
Have checked grid and network of grid and the answer, answer like 00.1 isnt a problem of grid but of the version simulator
(0037241)
mewtwo0641 (reporter)
2020-11-20 21:53

Fixed by master

- Issue History
Date Modified Username Field Change
2019-01-12 18:51 mewtwo0641 New Issue
2019-01-14 03:02 tampa Note Added: 0033792
2019-01-14 03:58 aiaustin Note Added: 0033793
2019-01-14 04:01 aiaustin Note Edited: 0033793 View Revisions
2019-01-14 05:57 mewtwo0641 Note Added: 0033795
2019-01-14 06:05 mewtwo0641 Note Edited: 0033795 View Revisions
2019-01-14 06:07 mewtwo0641 Note Edited: 0033795 View Revisions
2019-01-14 06:31 aiaustin Note Edited: 0033793 View Revisions
2019-01-14 06:46 paela argus Note Added: 0033801
2020-11-20 21:53 mewtwo0641 Note Added: 0037241
2020-11-20 21:53 mewtwo0641 Status new => resolved
2020-11-20 21:53 mewtwo0641 Fixed in Version => master (dev code)
2020-11-20 21:53 mewtwo0641 Resolution open => fixed
2020-11-20 21:53 mewtwo0641 Assigned To => mewtwo0641


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker